Несколько уязвимостей в Benja CMS

Дата публикации:
25.06.2008
Всего просмотров:
1376
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-2987
CVE-2008-2988
CVE-2008-2879
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Benja CMS 0.x
Уязвимые версии: Benja CMS 0.1, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и обойти некоторые ограничения безопасности.

1. Уязвимость существует из-за недостаточной обработки входных данных в URL в сценариях admin/admin_edit_submenu.php, admin/admin_new_submenu.php и admin/admin_edit_topmenu.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. 2. Уязвимость существует из-за недостаточного ограничения доступа к файлам в каталоге admin/. Удаленный пользователь может вызвать сценарий admin/upload.php, загрузить и выполнить произвольный PHP сценарий на целевой системе.

URL производителя: sourceforge.net/projects/benjacms/

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA